Upstream information

CVE-2013-6412 at MITRE

Description

The transform_save function in transform.c in Augeas 1.0.0 through 1.1.0 does not properly calculate the permission values when the umask contains a "7," which causes world-writable permissions to be used for new files and allows local users to modify the files via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 853044 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libaugeas0 >= 0.9.0-3.15.1
Patchnames:
sledsp3-augeas
SUSE Linux Enterprise Server 11 SP3
  • augeas >= 0.9.0-3.15.1
  • augeas-lenses >= 0.9.0-3.15.1
  • libaugeas0 >= 0.9.0-3.15.1
Patchnames:
slessp3-augeas
SUSE Linux Enterprise Server 11 SP4
  • augeas >= 0.9.0-3.15.1
  • augeas-lenses >= 0.9.0-3.15.1
  • libaugeas0 >= 0.9.0-3.15.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA augeas
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • augeas >= 0.9.0-3.15.1
  • augeas-lenses >= 0.9.0-3.15.1
  • libaugeas0 >= 0.9.0-3.15.1
Patchnames:
slessp3-augeas
SUSE Linux Enterprise Server for VMWare 11 SP3
  • augeas >= 0.9.0-3.15.1
  • augeas-lenses >= 0.9.0-3.15.1
  • libaugeas0 >= 0.9.0-3.15.1
Patchnames:
slessp3-augeas
SUSE Linux Enterprise Software Development Kit 11 SP3
  • augeas-devel >= 0.9.0-3.15.1
Patchnames:
sdksp3-augeas
SUSE Linux Enterprise Software Development Kit 11 SP4
  • augeas-devel >= 0.9.0-3.15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA augeas-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • augeas-devel >= 0.9.0-3.15.1
Builds
SAT Patch Nr: 9574
SUSE Linux Enterprise Desktop 11 SP3
  • libaugeas0 >= 0.9.0-3.15.1
Builds
SAT Patch Nr: 9574
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • augeas >= 0.9.0-3.15.1
  • augeas-lenses >= 0.9.0-3.15.1
  • libaugeas0 >= 0.9.0-3.15.1
Builds
SAT Patch Nr: 9574


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 augeas Released
SUSE Linux Enterprise Desktop 11 SP2 augeas Released
SUSE Linux Enterprise Desktop 11 SP3 augeas Released
SUSE Linux Enterprise Desktop 11 SP4 augeas Released
SUSE Linux Enterprise SDK 11 SP1 augeas Released
SUSE Linux Enterprise SDK 11 SP2 augeas Released
SUSE Linux Enterprise SDK 11 SP3 augeas Released
SUSE Linux Enterprise SDK 11 SP4 augeas Released
SUSE Linux Enterprise Server 11 SP1 augeas Released
SUSE Linux Enterprise Server 11 SP1 LTSS augeas Released
SUSE Linux Enterprise Server 11 SP2 augeas Released
SUSE Linux Enterprise Server 11 SP2 LTSS augeas Released
SUSE Linux Enterprise Server 11 SP3 augeas Released
SUSE Linux Enterprise Server 11 SP3 LTSS augeas Released
SUSE Linux Enterprise Server 11 SP4 augeas Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 augeas Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 augeas Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 augeas Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 augeas Released
SUSE Linux Enterprise Server for VMWare 11 SP2 augeas Released
SUSE Linux Enterprise Server for VMWare 11 SP3 augeas Released